# -*- mode: python -*-
# -*- coding: utf-8 -*-

"""Essai export des semestres impairs avec VET seulement pour les diplômés

Utiliser avec 
     /opt/scodoc/bin/zopectl debug 
"""

from __future__ import print_function
from debug import *

import sco_apogee_csv
import sco_parcours_dut

context = go_dept(app, 'RT').Notes

etudid='EID33751'
formsemestre_id='SEM37099'

etud = context.getEtudInfo(etudid=etudid, filled=True)[0]
Se = sco_parcours_dut.SituationEtudParcours(context, etud, formsemestre_id)

print(Se.all_other_validated())


data = open('/opt/scodoc/var/scodoc/archives/apo_csv/RT/2019-1/2020-07-07-17-24-18/V2RT!117.csv', 'r').read()

apo_data = sco_apogee_csv.ApoData(data, periode=1, export_res_etape=False)

apo_data.setup(context)

ix = [ x['nom'] for x in apo_data.etuds ].index('HAMILA')

e  = apo_data.etuds[ix]
e.lookup_scodoc(context, apo_data.etape_formsemestre_ids)

e.associate_sco(context, apo_data)

pp({ k :  e.new_cols[k] for k in e.new_cols if e.new_cols[k] != '' })

    
    



